Skip to main content
DELETE
Revoke a team-admin grant

Authorizations

Authorization
string
header
required

Supabase JWT token in Authorization: Bearer header

Path Parameters

team_id
string
required

Team identifier (UUID)

user_id
string
required

Principal id of the user whose team-admin grant to revoke. Opaque principal id, same shape as User.id (a Zitadel subject on the Azure cells, a uuid for legacy Supabase users); never parse it as a uuid.

Response

Revoked (or idempotent no-op if already revoked).

team_id
string<uuid>
required
user_id
string
required

Opaque principal id, same shape as User.id (a Zitadel subject on the Azure cells, a uuid for legacy Supabase users); never parse it as a uuid.

revoked
boolean
required

true when the grant was revoked by this request; false on an idempotent no-op.

revoked_at
string<date-time>

Timestamp of revocation. Present only when revoked: true.

revoked_by
string

Actor who revoked the grant. Present only when revoked: true. Opaque principal id, same shape as User.id (a Zitadel subject on the Azure cells, a uuid for legacy Supabase users); never parse it as a uuid.

idempotent_noop
boolean

true when there was no active grant to revoke. revoked is false in this case.